/*--------------------------------------------------------------*/
/* ACM ICPC 2009-2010, NEERC                                    */
/* Northern Subregional Contest                                 */
/* St Petersburg, October 17, 2009                              */
/*--------------------------------------------------------------*/
/* Problem A. Auxiliary Question of the Universe                */
/*                                                              */
/* Original idea         Dmitry Shtukenberg, Mikhail Dvorkin    */
/* Problem statement     Dmitry Shtukenberg                     */
/* Testset               Georgiy Korneev                        */
/*--------------------------------------------------------------*/
/* Solution                                                     */
/*                                                              */
/* Author                Andrew Stankevich                      */
/*--------------------------------------------------------------*/
 
import java.util.*;
import java.math.*;
import java.io.*;

class auxiliary_as implements Runnable {
    public void solve() throws IOException {
        BufferedReader in = new BufferedReader(new FileReader("auxiliary.in"));
        PrintWriter out = new PrintWriter(new File("auxiliary.out"));

        String s = in.readLine();
        boolean was = false;
        for (int i = 0; i < s.length(); i++) {
            char c = s.charAt(i);
            if (c == '(' || c == ')' || c == '+') {
                out.print("(0)+");
            } else {
                out.print("(" + c + ")+");
            }
        }
        out.println("0");

        in.close();
        out.close();
    }

    public void run() {
        try {
            solve();
        } catch (IOException e) {
            e.printStackTrace();
            throw new AssertionError();
        }
    }

    public static void main(String[] args) {
        new Thread(new auxiliary_as()).start();
    }
}